MEMCHR(3) | Library Functions Manual | MEMCHR(3)

# NAME

memchr, memrchr — locate byte in byte string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <string.h>
void *
memchr(const void *b, int c, size_t len);
void *
memrchr(const void *b, int c, size_t len);

# DESCRIPTION

The memchr() function locates the first occurrence of c (converted to an unsigned char) in string b. The memrchr() function locates the last occurrence of c (converted to an unsigned char) in string b.

# RETURN VALUES

The memchr() and memrchr() functions return a pointer to the byte located, or `NULL` if no such byte exists within len bytes.

# SEE ALSO

index(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

# STANDARDS

The memchr() function conforms to ANSI X3.159-1989 (“ANSI C89”).

April 10, 2009 | NetBSD 8.2